"use client";
import { __exports as o } from "../../../../../_virtual/toPath.js";
var a;
function P() {
  return a ? o : (a = 1, (function(n) {
    Object.defineProperty(n, Symbol.toStringTag, { value: "Module" });
    function h(s) {
      const i = [], f = s.length;
      if (f === 0)
        return i;
      let r = 0, e = "", l = "", u = !1;
      for (s.charCodeAt(0) === 46 && (i.push(""), r++); r < f; ) {
        const t = s[r];
        l ? t === "\\" && r + 1 < f ? (r++, e += s[r]) : t === l ? l = "" : e += t : u ? t === '"' || t === "'" ? l = t : t === "]" ? (u = !1, i.push(e), e = "") : e += t : t === "[" ? (u = !0, e && (i.push(e), e = "")) : t === "." ? e && (i.push(e), e = "") : e += t, r++;
      }
      return e && i.push(e), i;
    }
    n.toPath = h;
  })(o), o);
}
export {
  P as __require
};
